Subject: Re: Flat OF Device Tree for ppc32 [was: Platform bus/ppc sys model...]

From: Tom Rini <[email-masked]>
Date: Thu, 7 Apr 2005 10:20:03 -0700

On Mon, Apr 04, 2005 at 02:56:21PM +0400, Andrei Konovalov wrote:

> Should we rely on U-Boot to give that device tree structure to
> the kernel? If I got it correct this is how the Freescale team

It shouldn't matter who passes the flattened tree really, so long as the
information is correct.  arch/ppc/boot/simple/ should translate
older-non-uboot-bd_t, or PReP residual, or statically construct, or
some combination, into the tree and pass it in.  U-Boot (or yaboot or
grub or whatever) can just pass it right to the kernel.

Part of the point of this is to move to a defined interface :)

-- 
Tom Rini
http://gate.crashing.org/~trini/